# Configure FASP remote connection

Sets up the connection to a remote FASP server by providing the base URL and admin token. Validates the connection before saving the configuration. The base URL is normalized before storage. The operation is audit-logged. Requires Federation.Manage permission.

RBAC: requires Federation.Manage

Endpoint: POST /api/v1/admin/fasp-remote/config
Version: 1.0
Security: header

## Request fields (application/json):

  - `baseUrl` (string, required)
    Base URL of the FASP server

  - `adminToken` (string, required)
    Admin token for authentication

  - `serverName` (string,null)
    Friendly name for the FASP server

## Response 200 fields (application/json):

  - `configured` (boolean, required)
    Whether FASP remote is configured

  - `baseUrl` (string,null)
    Base URL of the FASP server

  - `serverName` (string,null)
    Friendly name for the FASP server

  - `adminTokenMasked` (string,null)
    Masked admin token (first 8 chars + ...)

  - `configuredAt` (string,null)
    When this configuration was set
    Example: "2022-03-10T16:15:50Z"


## Response 400 fields
